
Figure - Bug #115839
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113423 (New): V4.0专项--BSP专项--稳定性-各项功能长时间运行

【BSP】【EVT】【稳定性】运行MTBF脚本24小时，出现屏幕黑屏现象——点击灭屏后，再次点击power键未
起来
2023-02-03 11:31 - 物联网测试组_CDTS 段小刚

Status: CLOSED Start date: 2023-02-03

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS 段小刚 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0071.X101

Resolution: WORKSFORME Degrated: --

Severity: Normal Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: IT Root cause:

Description

【前提条件】

1、设备成功启动

2、确保MTBF脚本运行的前置条件已准备

【测试步骤】

1、使用python运行对应MTBF脚本

2、运行24小时

3、查看设备运行测试结果

【预期结果】

3、设备正常运行，没有崩溃，重启等现象

【实际结果】

3、早上来发现其屏幕黑屏

【复现率】

1/76

History

#1 - 2023-02-03 11:32 - 物联网测试组_CDTS 段小刚

问题出现时间分析确认为：2023-02-03 03:06:20,963

Tlog日志包超过50M无法上传，需要的话找我飞书发送

#2 - 2023-02-06 19:55 - CD FW 曹覃刚

- File 20230206-194029 added

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to 物联网测试组_CDTS 段小刚

Hi 刚哥

■ 分析过程

02-03 03:05:57.189   806  8132 D sound_trigger_hw: handle_screen_status_change: screen off
02-03 03:06:05.798   806  8132 D sound_trigger_hw: handle_screen_status_change: screen on

->MTBF最后一次屏幕操作测试，正常

02-03 03:06:10.011  1220  1220 I PowerManagerService: Powering off display group due to power_button (groupId= 0, uid= 1000)...

02-03 03:06:10.011  1220  1220 I PowerManagerService: Going to sleep due to power_button (uid 1000)...

02-03 03:06:10.206   806  8132 D sound_trigger_hw: handle_screen_status_change: screen off

->收到power事件，熄灭屏幕

02-03 03:06:20 ->这个时间点, 获取当前的屏幕唤醒状态，并判断是否符合上次屏幕操作测试的结果，不符合则异常，由于03:06:10再次改变了状态，因此判

断为异常

结合上述分析

1.根据MTBF脚本的逻辑，改变屏幕状态后2秒会获取屏幕的状态并判断是否异常，但是问题发生时，间隔15秒才判断，如果是状态变更2秒后就判断状态

，则没有问题

2.屏幕是由于power键, 正常熄灭的

对于 03:06:10收到的power事件 是从哪儿来的 有如下可能原因

因为没有操作过实体power键，只有下面两种原因

①.power键，这个本身我们控制中心 有个熄屏的按钮 如果你们脚本有模拟点击的话，会达到这种效果

②.脚本的power事件传递，出现异常

■ 下一步计划

根据上述分析

1.根据MTBF脚本的逻辑，改变屏幕状态后2秒会获取屏幕的状态并判断是否异常，但是问题发生时，间隔15秒才判断，如果是状态变更2秒后就判断状态

，则没有问题

-> 需要确认脚本本身是否运行异常

2.屏幕是由于power键, 正常熄灭的

  ①.power键，这个本身我们控制中心 有个熄屏的按钮 如果你们脚本有模拟点击的话，会达到这种效果

  ②.脚本本身运行出现异常

->无论是①还是②，都需要优化脚本操作

请确认，感谢

#3 - 2023-02-07 15:21 - 物联网测试组_CDTS 段小刚

1、可能是脚本运行问题：这边将优化脚本里的power键唤醒改为设备当前唤醒逻辑——点击click唤醒。查看是否复现

2、可能是设备性能问题：目前发现设备脚本运行一段时间后，其响应命令做出操作会有所延迟，没有刚开始脚本运行时响应灵敏，从而导致了获取两

次power事件

#4 - 2023-02-08 11:15 - 物联网测试组_CDTS 段小刚

- Status changed from NEED_INFO to RESOLVED

经讨论检查——仍然使用power键来唤醒。其长时间运行后，命令下发响应过慢，可能与python的缓存机制有关。使用将log重定向方式运行脚本，跑

了16H，其命令下发比原发相比不会太慢，也没有复现该问题

#5 - 2023-02-08 11:15 - 物联网测试组_CDTS 段小刚

- Status changed from RESOLVED to VERIFIED

#6 - 2023-02-08 11:16 - 物联网测试组_CDTS 段小刚
- Status changed from VERIFIED to CLOSED

后续继续跟踪，若再出现该问题，重新激活分析原因。

现在将其关闭

#7 - 2023-02-08 18:02 - 物联网测试组_CDTS 段小刚

- Resolution changed from -- to WORKSFORME

Files

20230203-104058.jpg 116 KB 2023-02-03 物联网测试组_CDTS 段小刚
